*{
    margin: 0;
    padding: 0;
    outline: none;
    font-family: 'Roboto', sans-serif; 
}
body
{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    overflow: hidden;
    background-image: linear-gradient(120deg, #2980b9, #1abc9c);
}
::selection
{
    color: #fff;
    background: #1abc9c;
}
.container
{
    width: 330px;
    background: #fff;
    text-align: center;
    border-radius: 5px;
    padding: 50px 35px 10px 35px;
}
.container header
{
    font-size: 30px;
    font-weight: 600;
    margin: 0 0 30px 0;
}
.container .form-outer
{
    width: 100%;
    overflow: hidden;
}
.container .form-outer form
{
    width: 400%;
    display: flex;
}
.form-outer form .page
{
    width: 25%;
    transition: margin-left 0.3s ease-in-out;
}
.form-outer form .page .title
{
    font-size: 20px;
    font-weight: 500;
    text-align: left;
}
.form-outer form .page .field
{
    width: 330px;
    height: 45px;
    margin: 45px 0;
    display: flex;
    position: relative;
}
form .page .field .label
{
    position: absolute;
    top: -30px;
    font-weight: 500;
}
form .page .field input
{
    height: 100%;
    width: 100%;
    border-radius: 5px;
    border: 1px solid lightgrey;
    padding-left: 15px;
    font-size: 18px;
}
form .page .field select
{
    width: 100%;
    padding-left: 10px;
    font-size: 17px;
    font-weight: 500;
}
form .page .field button
{
    width: 100%;
    height: calc(100% + 5px);
    border: none;
    background: #1abc9c;
    border-radius: 5px;
    color: #fff;
    margin-top: -20px;
    cursor: pointer;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    text-transform: uppercase;
    transition: 0.5s ease;
}
form .page .btns button
{
    margin-top: -20px!important;
}
form .page .field button:hover
{
    background: #000;
}
form .page .btns button.prev
{
    margin-right: 3px;
    font-size: 17px;
}
form .page .btns button.next
{
    margin-right: 3px;
}
.container .progress-bar
{
    display: flex;
    margin: 40px;
    user-select: none;
}
.container .progress-bar .step
{
    position: relative;
    text-align: center;
    width: 100%;
}
.container .progress-bar .step p
{
    font-weight: 500;
    font-size: 18px;
    margin-bottom: 8px;
    color: #000;
}
.container .progress-bar .step .bullet
{
    width: 25px;
    height: 25px;
    border: 2px solid #000;
    display: inline-block;
    border-radius: 50%;
    position: relative;
    transition: 0.2s;
    font-weight: 500;
    font-size: 17px;
    line-height: 25px;
}
.progress-bar .step .bullet.active
{
    border-color: #1abc9c;
    background: #1abc9c;
}
.progress-bar .step .bullet span
{
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}
.progress-bar .step .bullet.active span
{
   display: none;
}
.progress-bar .step .bullet:before,
.progress-bar .step .bullet:after
{
    position: absolute;
    content: '';
    bottom: 11px;
    right: -51px;
    height: 3px;
    width: 44px;
    background: #262626;
}
.progress-bar .step .bullet.active:after
{
    background: #1abc9c;
    transform: scaleX(0);
    transform-origin: left;
    animation: animate 0.3s linear-forwards;
}
@keyframes animate
{
    100%
    {
        transform: scaleX(1);
    }
}
.progress-bar .step .bullet:before,
.progress-bar .step .bullet:after
{
    display: none;
}
.progress-bar .step p.active
{
    color: #1abc9c;
    transition: 0.2s linear;
}
.progress-bar .step .check
{
    position: absolute;
    left: 50%;
    top: 70%;
    font-size: 15px;
    transform: translate(-50%, -50%);
    display: none;
}
.progress-bar .step .check .active
{
    display: block;
    color: #fff;
}